Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(281)

Issue 2784973002: Move string helper functions to components/core for iOS use. (Closed)

Created:
8 months, 2 weeks ago by tmartino
Modified:
8 months, 1 week ago
CC:
blundell+watchlist_chromium.org, chromium-reviews, droger+watchlist_chromium.org, gogerald+paymentswatch_chromium.org, mahmadi+paymentswatch_chromium.org, Moe, rouslan+payments_chromium.org, sdefresne+watchlist_chromium.org, sebsg+paymentswatch_chromium.org, tfarina
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Move string helper functions to components/core for iOS use. BUG=708226 Review-Url: https://codereview.chromium.org/2784973002 Cr-Commit-Position: refs/heads/master@{#461819} Committed: https://chromium.googlesource.com/chromium/src/+/9c32cf8a6e0185d51a16fbe3904e77043758e7ce

Patch Set 1 #

Patch Set 2 : rebase complete #

Patch Set 3 : deps nonsense #

Patch Set 4 : more deps cat-herding #

Patch Set 5 : Deps, part 3 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+77 lines, -36 lines) Patch
M chrome/browser/ui/views/payments/payment_request_views_util.h View 1 1 chunk +0 lines, -5 lines 0 comments Download
M chrome/browser/ui/views/payments/payment_request_views_util.cc View 1 2 chunks +0 lines, -31 lines 0 comments Download
M chrome/browser/ui/views/payments/payment_sheet_view_controller.cc View 1 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/views/payments/profile_list_view_controller.cc View 1 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/views/payments/shipping_option_view_controller.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/payments/core/BUILD.gn View 1 2 3 4 1 chunk +4 lines, -0 lines 0 comments Download
M components/payments/core/DEPS View 1 2 3 1 chunk +2 lines, -0 lines 0 comments Download
A components/payments/core/strings_util.h View 1 chunk +25 lines, -0 lines 0 comments Download
A components/payments/core/strings_util.cc View 1 chunk +43 lines, -0 lines 0 comments Download
Trybot results:  linux_chromium_asan_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_linux   android_n5x_swarming_rel   cast_shell_android   android_cronet   android_clang_dbg_recipe   android_compile_dbg   android_arm64_dbg_recipe   chromium_presubmit   linux_android_rel_ng   linux_chromium_rel_ng   win_clang   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device-xcode-clang   win_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_tsan_rel_ng   ios-device   chromium_presubmit   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   android_n5x_swarming_rel   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_android   cast_shell_linux   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   ios-simulator   ios-simulator   ios-simulator   ios-simulator   mac_chromium_rel_ng   win_chromium_rel_ng   win_clang   win_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   mac_chromium_rel_ng   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_asan_rel_ng   linux_chromium_rel_ng   chromium_presubmit   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_android   linux_android_rel_ng   android_cronet   android_n5x_swarming_rel   chromeos_daisy_chromium_compile_only_ng   android_arm64_dbg_recipe   android_compile_dbg   android_clang_dbg_recipe 

Messages

Total messages: 37 (25 generated)
tmartino
Moe: This has an upstream dependency so I can't land it right away, but feel ...
8 months, 2 weeks ago (2017-03-29 21:16:13 UTC) #1
tmartino
+anthonyvd for OWNERS on /c/b/ui stuff, and a first pass before sending to rouslan
8 months, 2 weeks ago (2017-03-30 19:33:24 UTC) #17
anthonyvd
lgtm
8 months, 2 weeks ago (2017-03-31 15:51:19 UTC) #20
tmartino
+rouslan for OWNERS
8 months, 2 weeks ago (2017-03-31 15:55:34 UTC) #22
please use gerrit instead
LGTM
8 months, 2 weeks ago (2017-03-31 16:56:27 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2784973002/80001
8 months, 2 weeks ago (2017-03-31 19:39:06 UTC) #25
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/400197)
8 months, 2 weeks ago (2017-03-31 19:57:43 UTC) #27
tmartino
+blundell +sadrul for DEPS OWNERS approval
8 months, 2 weeks ago (2017-03-31 20:04:37 UTC) #29
blundell
deps on //components/strings lgtm
8 months, 1 week ago (2017-04-03 07:50:25 UTC) #30
sadrul
lgtm
8 months, 1 week ago (2017-04-04 03:50:29 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2784973002/80001
8 months, 1 week ago (2017-04-04 17:56:35 UTC) #34
commit-bot: I haz the power
8 months, 1 week ago (2017-04-04 20:37:20 UTC) #37
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/9c32cf8a6e0185d51a16fbe3904e...

Powered by Google App Engine
This is Rietveld 0eb02b776